Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_add_string_literal_statement

## Name

librdf_model_add_string_literal_statement -- Create and add a new statement about a literal to the model

## Synopsis

``int `librdf_model_add_string_literal_statement`` (librdf_model* `model`, librdf_node* `subject`, librdf_node* `predicate`, const unsigned char* `literal`, char * `xml_language`, int `is_wf_xml`);`

## Arguments

`model`

  model object

`subject`

  librdf_node of subject

`predicate`

  librdf_node of predicate

`literal`

  string literal conten

`xml_language`

  language of literal

`is_wf_xml`

  literal is XML

## Description

The language can be set to NULL if not used. All of subject, predicate and literal must be non-NULL.

0.9.12: xml_space argument deleted

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_model_add_typed_literal_statement | Up | librdf_model_remove_statement